
From: "Andi Kleen" <ak@suse.de>

Add acpi_skip_timer_override option.  It was missing previously.

Signed-off-by: Andi Kleen <ak@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/x86_64/kernel/setup.c |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN arch/x86_64/kernel/setup.c~x86_64-add-acpi_skip_timer_override-option arch/x86_64/kernel/setup.c
--- 25/arch/x86_64/kernel/setup.c~x86_64-add-acpi_skip_timer_override-option	Thu Apr  7 15:11:29 2005
+++ 25-akpm/arch/x86_64/kernel/setup.c	Thu Apr  7 15:11:29 2005
@@ -327,6 +327,10 @@ static __init void parse_cmdline_early (
 		else if (!memcmp(from, "acpi=strict", 11)) {
 			acpi_strict = 1;
 		}
+#ifdef CONFIG_X86_IO_APIC
+		else if (!memcmp(from, "acpi_skip_timer_override", 24))
+			acpi_skip_timer_override = 1;
+#endif
 #endif
 
 		if (!memcmp(from, "nolapic", 7) ||
_
